package price_default

type DefaultPrice struct {
	Id               uint64 `xorm:"pk autoincr 'id'"`
	Amount           int64  `xorm:"not null 'amount'"`             // 基础价格（分）
	OneMonthPrice    int64  `xorm:"not null 'one_month_price'"`    // 1个月价格（分）
	ThreeMonthsPrice int64  `xorm:"not null 'three_months_price'"` // 3个月价格（分）
	SixMonthsPrice   int64  `xorm:"not null 'six_months_price'"`   // 6个月价格（分）
	OneYearPrice     int64  `xorm:"not null 'one_year_price'"`     // 1年价格（分）
}
