package auth

type Config struct {
	SkipPaths []string
	TokenKey  string
}

func DefaultConfig() *Config {
	return &Config{
		SkipPaths: []string{
			"/auth/login",
			"/api/auth/login",
			"/api/auth/register",
			"/api/auth/image-captcha",
			"/api/auth/captcha",
			"/api/auth/login/sms",
			"/api/auth/login/password",
			"/api/auth/captcha/sms",
			"/api/auth/verify-image",
			"/api/auth/verify-sms",
			"/api/article/all",
		},
		TokenKey: "Authorization",
	}
}
