import { Routes } from '@angular/router';
import {PageComponent} from "./page/page.component";
import {authGuard} from "./core/auth/auth.guard";
import {authChildGuard} from "./core/auth/auth-child.guard";

export const routes: Routes = [
  {
    path:'',
    component:PageComponent,
    canActivate:[authGuard],
    canActivateChild:[authChildGuard]
  },
  {
    path:'auth',
    loadChildren:()=>import('./auth/app.routes').then(m=>m.AuthRoutes),
  }
];
