package user

// UserDto 用户数据传输对象
type UserDto struct {
	Uid       uint64 `json:"uid"`
	Username  string `json:"username" binding:"required"`
	Phone     string `json:"phone" binding:"required"`
	Password  bool   `json:"password,omitempty"`
	GiftCount int8   `json:"giftCount"`
	Status    int8   `json:"status"`
	Remark    string `json:"remark"`
}
