package admin

type AdminRepository interface {
	Create(data *Admin) error
	FindAdminByUsername(username string) (*Admin, error)
	FindAdminByPhone(username string) (*Admin, error)
	UpdatePassword(data *Admin) error
	UpdatePhone(data *Admin) error
}
