package gift_log

import (
	"cls-server/internal/domain/gift_log"
	"cls-server/pkg/xorm_engine"
	"xorm.io/builder"
)

type GiftLogRepositoryORM struct {
	engine *xorm_engine.Engine
}

var _ gift_log.GiftLogRepository = (*GiftLogRepositoryORM)(nil)

func NewGiftLogRepositoryORM(engine *xorm_engine.Engine) gift_log.GiftLogRepository {
	return &GiftLogRepositoryORM{engine}
}
func (g *GiftLogRepositoryORM) GetGiftLogByUserId(userId uint64) ([]*gift_log.GiftLog, error) {
	data := make([]*gift_log.GiftLog, 0)
	return data, g.engine.Where(builder.Eq{"user_id": userId}).Find(&data)
}
