package modules

import (
	service "cls-server/internal/application/column"
	repo "cls-server/internal/infrastructure/persistence/column"
	"cls-server/internal/interfaces"
	"cls-server/internal/interfaces/column"
	"go.uber.org/fx"
)

var ColumnModule = fx.Module("ColumnModule",
	fx.Provide(
		interfaces.AsHandler(column.NewColumnHandler),
		service.NewService,
		repo.NewColumnRepositoryORM,
	))
