export interface Coupon {
  id: string;
  name: string;
  type: CouponType;
  value: number;
  minAmount: number;
  startTime: Date;
  endTime: Date;
  status: CouponStatus;
  adminId: string;
  userId: string;
  canUse:boolean;

}

export enum CouponType {
  FULL_REDUCTION = 1,
  DISCOUNT = 2,
}

export enum CouponStatus {
  NORMAL = 1,
  USED = 2,
  EXPIRED = 3,
  DISABLED = 4,
}
